org.springframework.web.reactive.resource

## Class CssLinkResourceTransformer.AbstractLinkParser

- java.lang.Object
- - org.springframework.web.reactive.resource.CssLinkResourceTransformer.AbstractLinkParser

All Implemented Interfaces:
  CssLinkResourceTransformer.LinkParser

Enclosing class:
  CssLinkResourceTransformer

    protected abstract static class CssLinkResourceTransformer.AbstractLinkParser
    extends Object
    implements CssLinkResourceTransformer.LinkParser

Abstract base class for `CssLinkResourceTransformer.LinkParser` implementations.

### Constructor Summary

Constructors
`protected` `AbstractLinkParser()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected int` `extractLink(int index, char endChar, String content, Set<org.springframework.web.reactive.resource.CssLinkResourceTransformer.ContentChunkInfo> result)`
`protected abstract int` `extractUnquotedLink(int position, String content, Set<org.springframework.web.reactive.resource.CssLinkResourceTransformer.ContentChunkInfo> linksToAdd)` Invoked after a keyword match, after whitespace has been removed, and when the next char is neither a single nor double quote.
`protected abstract String` `getKeyword()` Return the keyword to use to search for links, e.g.
`void` `parse(String content, SortedSet<org.springframework.web.reactive.resource.CssLinkResourceTransformer.ContentChunkInfo> result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLinkParser

    protected AbstractLinkParser()

### Method Detail

#### getKeyword

    protected abstract String getKeyword()

Return the keyword to use to search for links, e.g. "@import", "url("

#### parse

    public void parse(String content,
                      SortedSet<org.springframework.web.reactive.resource.CssLinkResourceTransformer.ContentChunkInfo> result)

Specified by:
  `parse` in interface `CssLinkResourceTransformer.LinkParser`

#### extractLink

    protected int extractLink(int index,
                              char endChar,
                              String content,
                              Set<org.springframework.web.reactive.resource.CssLinkResourceTransformer.ContentChunkInfo> result)

#### extractUnquotedLink

    protected abstract int extractUnquotedLink(int position,
                                               String content,
                                               Set<org.springframework.web.reactive.resource.CssLinkResourceTransformer.ContentChunkInfo> linksToAdd)

Invoked after a keyword match, after whitespace has been removed, and when the next char is neither a single nor double quote.